/*
** Copyright (C) 1999 Christian Werner
**
** This program and library is free software; you can redistribute it and/or
** modify it under the terms of the GNU (Library) General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU (Library) General Public License for more details.
**
** You should have received a copy of the GNU (Library) General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package swishej;

import java.util.*;

/**
 * Class to remember the file short to long number mapping.
 */ 

class FileHash extends Hashtable {
    /**
     * Adds a mapping of a file short number to a file long number.
     * @param fileShort file short number
     * @param fileLong file long number
     */
    void addfile(int fileShort, int fileLong) {
        put(new Integer(fileShort), new Integer(fileLong));
    }

    /**
     * Retrieves the file long number given file short number.
     * @param fileShort file short number
     * @return file long number or 0
     */
    int getfilenum(int fileShort) {
        Integer fileLong = (Integer) get(new Integer(fileShort));
	if (fileLong == null) {
	    return 0;
	}
	return fileLong.intValue();
    }
}
