/*
** Copyright (C) 1999 Christian Werner
**
** This program and library is free software; you can redistribute it and/or
** modify it under the terms of the GNU (Library) General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU (Library) General Public License for more details.
**
** You should have received a copy of the GNU (Library) General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package swishej;

/**
 * Representation of a single search result.
 * @see swishej.ResultList
 */

class Result {
    /**
     * File number (short)
     */
    int filenum;

    /**
     * Search rank for sorting
     */
    int rank;

    /**
     * Structure tag, e.g. IN_ALL
     * @see swishej.Consts
     */
    int structure;

    /**
     * Next result in a result list
     */
    Result next;

    /**
     * Create a result representation
     * @param f file number (short)
     * @param r rank for sorting
     * @param s structure tag
     */
    Result(int f, int r, int s) {
        filenum = f;
	rank = r;
	structure = s;
	next = null;
    }
}

