/*
** Copyright (C) 1999 Christian Werner
**
** This program and library is free software; you can redistribute it and/or
** modify it under the terms of the GNU (Library) General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU (Library) General Public License for more details.
**
** You should have received a copy of the GNU (Library) General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package swishej;

import java.util.*;

/**
 * Class to implement the stop word list.
 */ 

class StopHash extends Hashtable {
    /**
     * Adds a stop word to the list of stop words.
     * @param s stop word
     */
    void addstopword(String s) {
        put(s, s);
    }

    /**
     * Tests a string being a stop word.
     * @param s the word to be tested
     * @return true, if the word is a stop word, false otherwise
     */
    boolean isstopword(String s) {
        return containsKey(s);
    }
}
